version: '3'
services:
  roundcubemail:
    build: .
    volumes:
      - ./home:/home/roundcubemail
    labels:
      - "traefik.backend=roundcubemail"
      - "traefik.port=80"
      - "traefik.protocol=http"
      - "traefik.frontend.rule=PathPrefixStrip:/roundcubemail/"
  revproxy:
    image: traefik
    command: --web --docker --docker.domain=docker.localhost --logLevel=DEBUG
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /dev/null:/traefik.toml
    ports:
      - "8080:8080"
      - "80:80"
      - "443:443"
